"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Pointer = void 0;

var _type = require("./type.js");

class Pointer extends _type.Type {
  constructor(pointOn) {
    super();
    this.pointOn = pointOn;
  }

  create(value) {
    return value || 0;
  }

  isCompatibleWith(type) {
    return this === type || type.name === '!nul';
  }

}

exports.Pointer = Pointer;