"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Caractere = void 0;

var ast = _interopRequireWildcard(require("../ast"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

class Caractere extends ast.Type {
  constructor() {
    super(null, 'caractere');
  }

  create(value) {
    if (value && value.length !== 1) throw new Error('Un caractere ne peut pas avoir une longueur supérieure à 1');
    return value || String.fromCharCode(0);
  }

}

exports.Caractere = Caractere;