"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NulPointer = void 0;

var ast = _interopRequireWildcard(require("../ast"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

class NulPointer extends ast.Pointer {
  constructor() {
    super(null);
    super.setName('!nul');
  }

  create() {
    return super.create();
  }

}

exports.NulPointer = NulPointer;